Having trouble installing expat and XML::Parser on Mac OS X. Please help!

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Hello! I am trying to install XML::Parser, and I understand that
before I do that I have to install expat. I launch a Terminal window
and type "sudo port install expat" and that gives the following

--->  Fetching archive for expat
--->  Attempting to fetch expat-2.0.1_1.darwin_10.x86_64.tbz2 from
--->  Fetching expat
--->  Attempting to fetch expat-2.0.1.tar.gz from
--->  Verifying checksum(s) for expat
--->  Extracting expat
--->  Configuring expat
--->  Building expat
--->  Staging expat into destroot
--->  Installing expat @2.0.1_1
--->  Activating expat @2.0.1_1
--->  Cleaning expat

I then type "port installed" and "expat @2.0.1_1 (active)" appears. So
far so good. I then try to install XML::Parser. I downloaded XML-
Parser-2.41.tar.gz. I cd to my Downloads folder and type in "gzip -d
XML-Parser-2.41.tar.gz" and "tar xvf XML-Parser-2.41.tar.gz" and that
creates a directory called XML-Parser-2.41. I cd to that directory and
type "perl Makefile.pl" and I receive the following error message:

Expat must be installed prior to building XML::Parser and I can't find
it in the standard library directories. Install 'expat-devel' package
with your OS package manager. See 'README'.

I try to install expat-devel by typing in "sudo port install expat-
devel" but that gives an error message "Error: Port expat-devel not
found." I am completely at a loss here. Where am I going wrong?

Site Timeline